// Copyright 2022 Amazon.com, Inc. or its affiliates. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'package:amplify_core/amplify_core.dart';

/// {@template amplify_core.launch_url_exception}
/// Thrown when the requested operation did not complete because a URL could
/// not be launched, typically because of an error spawning an external process.
/// {@endtemplate}
class UrlLauncherException extends AmplifyException {
  /// {@macro amplify_core.launch_url_exception}
  const UrlLauncherException(
    super.message, {
    super.recoverySuggestion,
    super.underlyingException,
  });
}
